> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Outgoing Synctera Pay vendors

> Get paginated list of Outgoing Synctera Pay vendors associated

> 🚧 Beta
> This is a Beta endpoint. Feedback from the community is welcome. Any breaking changes to this endpoint will be pre-announced.




## OpenAPI

````yaml openapi-v1.json get /synctera_pay/vendors
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 1.181.0
servers:
  - description: Production
    url: https://api.synctera.com/v1
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v1
security:
  - bearerAuth: []
tags:
  - description: |
      Requests to create and manage Rewards
    name: Rewards (beta)
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Testing endpoints to simulate in-store cash deposits. Available in sandbox
      environments only.
    name: In-Store Cash Deposit Simulations
  - description: Create and manage spending controls
    name: Spend Controls (beta)
  - description: Rates
    name: Rates
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Tenant Config
    name: Tenant Config
  - description: FDX authentication and data transfer using Plaid Core Exchange
    name: Plaid Core Exchange (beta)
  - description: Create and manage disputes
    name: Disputes
  - description: Requests to simulate card payments
    name: Card Simulations
  - description: |
      Manage fee products and fee configs for automated fee collection
    name: Fee Products
  - description: Apple Pay APIs
    name: Apple Pay
  - description: Lending Config
    name: Lending Config
  - description: Payments related to lending accounts
    name: Payments
  - description: Manage negative balance processes
    name: Negative Balance
  - description: Configuration for mapping LoanPro events to Payola transaction parameters
    name: LoanPro Transaction Event Config
  - description: Requests to generate simulated transactions
    name: Cash Transaction Simulations (alpha)
  - description: Create and manage transactions
    name: Transactions (beta)
  - description: Autopay payment records for billing periods
    name: Autopays
  - description: Create and manage accounts
    name: Accounts
  - description: |
      Requests to create and manage batch payments
    name: Batch Payments (alpha)
  - description: Billing rates
    name: Billing Rates
  - description: Bank Delinquency Configuration
    name: Bank Delinquency Configuration
  - description: >-
      Rules that map a posted payment transaction (bank/partner + transaction
      attributes) to a regulatory payment code. NULL match columns act as
      wildcards.
    name: Payment Code Configuration
  - description: Create and manage Synctera Pay templates
    name: SyncteraPay
  - description: |
      Manage reward products and reward configs for automated cashback rewards
    name: Reward Products
  - description: Requests to create and manage card disputes
    name: Card Disputes
  - description: >-
      Per bank/partner account-type mapping to FFIEC collateral codes used for
      regulatory call report furnishment.
    name: Collateral Code Configuration
  - description: Bulk card issuance
    name: Bulk Issuance
  - description: Autopay configuration management for lending accounts
    name: Autopay Configs
  - description: Request to create and manage exclusions
    name: Statements
  - description: Create and manage barcodes for in-store cash deposits
    name: In-Store Cash Deposits
  - description: Customer Service Details for disputes and billing inquiries
    name: Customer Service Details
  - description: Create a credit application.
    name: Applications (beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Billing period summaries
    name: Billing Period Summaries
  - description: Requests to issue and manage cards
    name: Cards
  - description: Push and pull from cards
    name: External Cards
  - description: |
      Requests to create and manage fees
    name: Fees (beta)
paths:
  /synctera_pay/vendors:
    summary: vendors
    get:
      tags:
        - SyncteraPay (beta)
      summary: List Outgoing Synctera Pay vendors
      description: >
        Get paginated list of Outgoing Synctera Pay vendors associated


        > 🚧 Beta

        > This is a Beta endpoint. Feedback from the community is welcome. Any
        breaking changes to this endpoint will be pre-announced.
      operationId: getSyncteraPayVendors
      parameters:
        - $ref: '#/components/parameters/synctera_pay_vendor_name_query'
        - $ref: '#/components/parameters/synctera_pay_vendor_id_query'
        - $ref: '#/components/parameters/enabled_query'
        - $ref: '#/components/parameters/page_token'
        - $ref: '#/components/parameters/limit'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/synctera_pay_vendor_list'
          description: List of Synctera Pay vendors
        '400':
          $ref: '#/components/responses/bad_request'
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '422':
          $ref: '#/components/responses/unprocessable_entity'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  parameters:
    synctera_pay_vendor_name_query:
      description: |
        The name of the Synctera Pay vendor.
      in: query
      name: name
      schema:
        type: string
    synctera_pay_vendor_id_query:
      description: Synctera Pay Vendor ID
      in: query
      name: id
      schema:
        format: uuid
        type: string
    enabled_query:
      description: |
        Whether the resource is enabled.
      in: query
      name: enabled
      schema:
        example: true
        type: boolean
    page_token:
      in: query
      name: page_token
      schema:
        description: >-
          Optional pagination token to be provided to retrieve subsequent pages,
          returned from previous get
        example: a8937a0d
        type: string
    limit:
      in: query
      name: limit
      schema:
        default: 100
        description: >
          Maximum number of objects to return per page. If the limit is greater
          than 100, then it will be set to 100.
        example: 100
        minimum: 1
        type: integer
  schemas:
    synctera_pay_vendor_list:
      allOf:
        - properties:
            vendors:
              description: Array of vendors
              items:
                $ref: '#/components/schemas/synctera_pay_vendor_response'
              type: array
          required:
            - vendors
          type: object
        - $ref: '#/components/schemas/paginated_response'
    synctera_pay_vendor_response:
      allOf:
        - $ref: '#/components/schemas/synctera_pay_vendor_base'
        - properties:
            enabled:
              description: Whether the vendor is enabled.
              example: true
              type: boolean
            id:
              description: Unique identifier for the vendor.
              example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
              format: uuid
              type: string
            tenant_id:
              $ref: '#/components/schemas/tenant_id'
          required:
            - enabled
            - id
            - tenant_id
      description: Synctera Pay Vendor Response
      title: Synctera Pay Vendor Response
      type: object
    paginated_response:
      properties:
        next_page_token:
          description: >-
            If returned, use the next_page_token to query for the next page of
            results. Not returned if there are no more rows.
          example: a8937a0d
          type: string
      title: Paginated List response
      type: object
    error:
      description: Synctera error responses in API v1 implement a custom error schema.
      properties:
        code:
          description: >
            A machine-readable string that identifies the error for programmatic
            use.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'Missing required fields: first_name, dob'
          type: string
        status:
          description: HTTP status code for this response
          example: 400
          type: integer
      title: Synctera error response
      type: object
    synctera_pay_vendor_base:
      description: |
        The base schema for a Synctera Pay vendor.
      properties:
        config:
          $ref: '#/components/schemas/synctera_pay_vendor_config'
        description:
          description: A description of the vendor.
          example: >-
            Wise is a financial technology company that provides international
            money transfer services.
          type: string
        name:
          description: The name of the vendor.
          example: Wise
          type: string
      required:
        - config
        - name
      title: Synctera Pay Vendor Base
      type: object
    tenant_id:
      description: |
        The id of the tenant containing the resource.
      example: abcdef_ghijkl
      type: string
    synctera_pay_vendor_config:
      properties:
        unique_reference_ids:
          description: >
            Whether the vendor supports unique reference IDs. If true, synctera
            pay will check for unique reference IDs. If a transfer with the same
            reference ID is found, the transfer will be rejected with a
            duplicate reference ID error.
          example: true
          type: boolean
      title: Synctera Pay Vendor Config
      type: object
  responses:
    bad_request:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Bad request
    unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Forbidden
    unprocessable_entity:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unprocessable entity
    internal_server_error:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````